Subject: Re: bug#23601: [bisected] Emacs can't build after 2dc0ef29425b7

From: Glenn Morris <[email-masked]>
Date: Mon, 23 May 2016 11:35:44 -0400

Nicolas Petton wrote:

> I actually do not know why adding (require 'seq) to image.el makes the
> build fail.

Files which are preloaded (ie, in loadup.el) cannot require any files
that are not themselves in loadup (because those required files would
then be preloaded too). This is an explicit check for such a case.